-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/broker_healbot/localization/

local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

function BAFK_locale()
  return setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
  })
end

Ld["Auto Cancel Away Mode Upon"] = "Auto Cancel Away Mode Upon"
Ld["Auto Set Busy in"] = "Auto Set Busy in"
Ld["Auto-Reply"] = "Auto-Reply"
Ld["Auto-Reply Aliases"] = "Auto-Reply Aliases"
Ld["Auto-Reply Channels"] = "Auto-Reply Channels"
Ld["Auto-Reply when Away"] = "Auto-Reply when Away"
Ld["Auto-Reply when Busy"] = "Auto-Reply when Busy"
Ld["Automatically reply to your name in"] = "Automatically reply to your name in"
Ld["Automatically reply to your name in chat when away"] = "Automatically reply to your name in chat when away"
Ld["Automatically reply to your name in chat when busy"] = "Automatically reply to your name in chat when busy"
Ld["Automatically set Busy when in"] = "Automatically set Busy when in"
Ld["Away Alert Sound"] = "Away Alert Sound"
Ld["Broker_AFK"] = "Broker_AFK"
Ld["Comma-seperated list of character names to recognize"] = "Comma-seperated list of character names to recognize"
Ld["Debug"] = "Debug"
Ld["Display how long you've been Away"] = "Display how long you've been Away"
Ld["Display status in player name unit frame"] = "Display status in player name unit frame"
Ld["General"] = "General"
Ld["Idle Alert Sound"] = "Idle Alert Sound"
Ld["LDB Text"] = "LDB Text"
Ld["Left Click"] = "Left Click"
Ld["Message"] = "Message"
Ld["Movement or Talking"] = "Movement or Talking"
Ld["Never"] = "Never"
Ld["Player Frame"] = "Player Frame"
Ld["Profiles"] = "Profiles"
Ld["Right Click"] = "Right Click"
Ld["Show LDB text for"] = "Show LDB text for"
Ld["Sound to play when you about to be logged out for inactivity"] = "Sound to play when you about to be logged out for inactivity"
Ld["Sound to play when you go AFK"] = "Sound to play when you go AFK"
Ld["Talking only"] = "Talking only"
Ld["Time Away"] = "Time Away"
Ld["Toggle debugging output"] = "Toggle debugging output"
Ld["arena"] = "arena"
Ld["battleground"] = "battleground"
Ld["for config"] = "for config"
Ld["instance"] = "instance"
Ld["is busy with"] = "is busy with"
Ld["is currently"] = "is currently"
Ld["raid"] = "raid"
Ld["to set status"] = "to set status"


if locale == "frFR" then do end
-- La["Auto Cancel Away Mode Upon"] = ""
-- La["Auto Set Busy in"] = ""
-- La["Auto-Reply"] = ""
-- La["Auto-Reply Aliases"] = ""
-- La["Auto-Reply Channels"] = ""
-- La["Auto-Reply when Away"] = ""
-- La["Auto-Reply when Busy"] = ""
-- La["Automatically reply to your name in"] = ""
-- La["Automatically reply to your name in chat when away"] = ""
-- La["Automatically reply to your name in chat when busy"] = ""
-- La["Automatically set Busy when in"] = ""
-- La["Away Alert Sound"] = ""
-- La["Broker_AFK"] = ""
-- La["Comma-seperated list of character names to recognize"] = ""
-- La["Debug"] = ""
-- La["Display how long you've been Away"] = ""
-- La["Display status in player name unit frame"] = ""
-- La["General"] = ""
-- La["Idle Alert Sound"] = ""
-- La["LDB Text"] = ""
-- La["Left Click"] = ""
-- La["Message"] = ""
-- La["Movement or Talking"] = ""
-- La["Never"] = ""
-- La["Player Frame"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show LDB text for"] = ""
-- La["Sound to play when you about to be logged out for inactivity"] = ""
-- La["Sound to play when you go AFK"] = ""
-- La["Talking only"] = ""
-- La["Time Away"] = ""
-- La["Toggle debugging output"] = ""
-- La["arena"] = ""
-- La["battleground"] = ""
-- La["for config"] = ""
-- La["instance"] = ""
-- La["is busy with"] = ""
-- La["is currently"] = ""
-- La["raid"] = ""
-- La["to set status"] = ""

elseif locale == "deDE" then do end
-- La["Auto Cancel Away Mode Upon"] = ""
-- La["Auto Set Busy in"] = ""
-- La["Auto-Reply"] = ""
-- La["Auto-Reply Aliases"] = ""
-- La["Auto-Reply Channels"] = ""
-- La["Auto-Reply when Away"] = ""
-- La["Auto-Reply when Busy"] = ""
-- La["Automatically reply to your name in"] = ""
-- La["Automatically reply to your name in chat when away"] = ""
-- La["Automatically reply to your name in chat when busy"] = ""
-- La["Automatically set Busy when in"] = ""
-- La["Away Alert Sound"] = ""
La["Broker_AFK"] = "Broker_AFK" -- Needs review
-- La["Comma-seperated list of character names to recognize"] = ""
-- La["Debug"] = ""
La["Display how long you've been Away"] = "Anzeigen wie lang du weg gewesen bist" -- Needs review
-- La["Display status in player name unit frame"] = ""
La["General"] = "Allgemein" -- Needs review
-- La["Idle Alert Sound"] = ""
La["LDB Text"] = "LDB-Text" -- Needs review
La["Left Click"] = "Linksklick" -- Needs review
La["Message"] = "Nachricht" -- Needs review
-- La["Movement or Talking"] = ""
La["Never"] = "Nie" -- Needs review
La["Player Frame"] = "Spieler-Frame" -- Needs review
La["Profiles"] = "Profile" -- Needs review
La["Right Click"] = "Rechtsklick" -- Needs review
La["Show LDB text for"] = "LDB-Text anzeigen für" -- Needs review
-- La["Sound to play when you about to be logged out for inactivity"] = ""
-- La["Sound to play when you go AFK"] = ""
-- La["Talking only"] = ""
-- La["Time Away"] = ""
-- La["Toggle debugging output"] = ""
-- La["arena"] = ""
-- La["battleground"] = ""
-- La["for config"] = ""
-- La["instance"] = ""
La["is busy with"] = "ist beschäftigt mit" -- Needs review
La["is currently"] = "ist gerade" -- Needs review
-- La["raid"] = ""
-- La["to set status"] = ""

elseif locale == "koKR" then do end
-- La["Auto Cancel Away Mode Upon"] = ""
-- La["Auto Set Busy in"] = ""
-- La["Auto-Reply"] = ""
-- La["Auto-Reply Aliases"] = ""
-- La["Auto-Reply Channels"] = ""
-- La["Auto-Reply when Away"] = ""
-- La["Auto-Reply when Busy"] = ""
-- La["Automatically reply to your name in"] = ""
-- La["Automatically reply to your name in chat when away"] = ""
-- La["Automatically reply to your name in chat when busy"] = ""
-- La["Automatically set Busy when in"] = ""
-- La["Away Alert Sound"] = ""
-- La["Broker_AFK"] = ""
-- La["Comma-seperated list of character names to recognize"] = ""
-- La["Debug"] = ""
-- La["Display how long you've been Away"] = ""
-- La["Display status in player name unit frame"] = ""
-- La["General"] = ""
-- La["Idle Alert Sound"] = ""
-- La["LDB Text"] = ""
-- La["Left Click"] = ""
-- La["Message"] = ""
-- La["Movement or Talking"] = ""
-- La["Never"] = ""
-- La["Player Frame"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show LDB text for"] = ""
-- La["Sound to play when you about to be logged out for inactivity"] = ""
-- La["Sound to play when you go AFK"] = ""
-- La["Talking only"] = ""
-- La["Time Away"] = ""
-- La["Toggle debugging output"] = ""
-- La["arena"] = ""
-- La["battleground"] = ""
-- La["for config"] = ""
-- La["instance"] = ""
-- La["is busy with"] = ""
-- La["is currently"] = ""
-- La["raid"] = ""
-- La["to set status"] = ""

elseif locale == "esMX" then do end
-- La["Auto Cancel Away Mode Upon"] = ""
-- La["Auto Set Busy in"] = ""
-- La["Auto-Reply"] = ""
-- La["Auto-Reply Aliases"] = ""
-- La["Auto-Reply Channels"] = ""
-- La["Auto-Reply when Away"] = ""
-- La["Auto-Reply when Busy"] = ""
-- La["Automatically reply to your name in"] = ""
-- La["Automatically reply to your name in chat when away"] = ""
-- La["Automatically reply to your name in chat when busy"] = ""
-- La["Automatically set Busy when in"] = ""
-- La["Away Alert Sound"] = ""
-- La["Broker_AFK"] = ""
-- La["Comma-seperated list of character names to recognize"] = ""
-- La["Debug"] = ""
-- La["Display how long you've been Away"] = ""
-- La["Display status in player name unit frame"] = ""
-- La["General"] = ""
-- La["Idle Alert Sound"] = ""
-- La["LDB Text"] = ""
-- La["Left Click"] = ""
-- La["Message"] = ""
-- La["Movement or Talking"] = ""
-- La["Never"] = ""
-- La["Player Frame"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show LDB text for"] = ""
-- La["Sound to play when you about to be logged out for inactivity"] = ""
-- La["Sound to play when you go AFK"] = ""
-- La["Talking only"] = ""
-- La["Time Away"] = ""
-- La["Toggle debugging output"] = ""
-- La["arena"] = ""
-- La["battleground"] = ""
-- La["for config"] = ""
-- La["instance"] = ""
-- La["is busy with"] = ""
-- La["is currently"] = ""
-- La["raid"] = ""
-- La["to set status"] = ""

elseif locale == "ruRU" then do end
-- La["Auto Cancel Away Mode Upon"] = ""
-- La["Auto Set Busy in"] = ""
-- La["Auto-Reply"] = ""
-- La["Auto-Reply Aliases"] = ""
-- La["Auto-Reply Channels"] = ""
-- La["Auto-Reply when Away"] = ""
-- La["Auto-Reply when Busy"] = ""
-- La["Automatically reply to your name in"] = ""
-- La["Automatically reply to your name in chat when away"] = ""
-- La["Automatically reply to your name in chat when busy"] = ""
-- La["Automatically set Busy when in"] = ""
-- La["Away Alert Sound"] = ""
-- La["Broker_AFK"] = ""
-- La["Comma-seperated list of character names to recognize"] = ""
-- La["Debug"] = ""
-- La["Display how long you've been Away"] = ""
-- La["Display status in player name unit frame"] = ""
-- La["General"] = ""
-- La["Idle Alert Sound"] = ""
-- La["LDB Text"] = ""
-- La["Left Click"] = ""
-- La["Message"] = ""
-- La["Movement or Talking"] = ""
-- La["Never"] = ""
-- La["Player Frame"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show LDB text for"] = ""
-- La["Sound to play when you about to be logged out for inactivity"] = ""
-- La["Sound to play when you go AFK"] = ""
-- La["Talking only"] = ""
-- La["Time Away"] = ""
-- La["Toggle debugging output"] = ""
-- La["arena"] = ""
-- La["battleground"] = ""
-- La["for config"] = ""
-- La["instance"] = ""
-- La["is busy with"] = ""
-- La["is currently"] = ""
-- La["raid"] = ""
-- La["to set status"] = ""

elseif locale == "zhCN" then do end
-- La["Auto Cancel Away Mode Upon"] = ""
-- La["Auto Set Busy in"] = ""
-- La["Auto-Reply"] = ""
-- La["Auto-Reply Aliases"] = ""
-- La["Auto-Reply Channels"] = ""
-- La["Auto-Reply when Away"] = ""
-- La["Auto-Reply when Busy"] = ""
-- La["Automatically reply to your name in"] = ""
-- La["Automatically reply to your name in chat when away"] = ""
-- La["Automatically reply to your name in chat when busy"] = ""
-- La["Automatically set Busy when in"] = ""
-- La["Away Alert Sound"] = ""
-- La["Broker_AFK"] = ""
-- La["Comma-seperated list of character names to recognize"] = ""
-- La["Debug"] = ""
-- La["Display how long you've been Away"] = ""
-- La["Display status in player name unit frame"] = ""
-- La["General"] = ""
-- La["Idle Alert Sound"] = ""
-- La["LDB Text"] = ""
-- La["Left Click"] = ""
-- La["Message"] = ""
-- La["Movement or Talking"] = ""
-- La["Never"] = ""
-- La["Player Frame"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show LDB text for"] = ""
-- La["Sound to play when you about to be logged out for inactivity"] = ""
-- La["Sound to play when you go AFK"] = ""
-- La["Talking only"] = ""
-- La["Time Away"] = ""
-- La["Toggle debugging output"] = ""
-- La["arena"] = ""
-- La["battleground"] = ""
-- La["for config"] = ""
-- La["instance"] = ""
-- La["is busy with"] = ""
-- La["is currently"] = ""
-- La["raid"] = ""
-- La["to set status"] = ""

elseif locale == "esES" then do end
-- La["Auto Cancel Away Mode Upon"] = ""
-- La["Auto Set Busy in"] = ""
-- La["Auto-Reply"] = ""
-- La["Auto-Reply Aliases"] = ""
-- La["Auto-Reply Channels"] = ""
-- La["Auto-Reply when Away"] = ""
-- La["Auto-Reply when Busy"] = ""
-- La["Automatically reply to your name in"] = ""
-- La["Automatically reply to your name in chat when away"] = ""
-- La["Automatically reply to your name in chat when busy"] = ""
-- La["Automatically set Busy when in"] = ""
-- La["Away Alert Sound"] = ""
-- La["Broker_AFK"] = ""
-- La["Comma-seperated list of character names to recognize"] = ""
-- La["Debug"] = ""
-- La["Display how long you've been Away"] = ""
-- La["Display status in player name unit frame"] = ""
-- La["General"] = ""
-- La["Idle Alert Sound"] = ""
-- La["LDB Text"] = ""
-- La["Left Click"] = ""
-- La["Message"] = ""
-- La["Movement or Talking"] = ""
-- La["Never"] = ""
-- La["Player Frame"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show LDB text for"] = ""
-- La["Sound to play when you about to be logged out for inactivity"] = ""
-- La["Sound to play when you go AFK"] = ""
-- La["Talking only"] = ""
-- La["Time Away"] = ""
-- La["Toggle debugging output"] = ""
-- La["arena"] = ""
-- La["battleground"] = ""
-- La["for config"] = ""
-- La["instance"] = ""
-- La["is busy with"] = ""
-- La["is currently"] = ""
-- La["raid"] = ""
-- La["to set status"] = ""

elseif locale == "zhTW" then do end
-- La["Auto Cancel Away Mode Upon"] = ""
-- La["Auto Set Busy in"] = ""
-- La["Auto-Reply"] = ""
-- La["Auto-Reply Aliases"] = ""
-- La["Auto-Reply Channels"] = ""
-- La["Auto-Reply when Away"] = ""
-- La["Auto-Reply when Busy"] = ""
-- La["Automatically reply to your name in"] = ""
-- La["Automatically reply to your name in chat when away"] = ""
-- La["Automatically reply to your name in chat when busy"] = ""
-- La["Automatically set Busy when in"] = ""
-- La["Away Alert Sound"] = ""
-- La["Broker_AFK"] = ""
-- La["Comma-seperated list of character names to recognize"] = ""
-- La["Debug"] = ""
-- La["Display how long you've been Away"] = ""
-- La["Display status in player name unit frame"] = ""
-- La["General"] = ""
-- La["Idle Alert Sound"] = ""
-- La["LDB Text"] = ""
-- La["Left Click"] = ""
-- La["Message"] = ""
-- La["Movement or Talking"] = ""
-- La["Never"] = ""
-- La["Player Frame"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show LDB text for"] = ""
-- La["Sound to play when you about to be logged out for inactivity"] = ""
-- La["Sound to play when you go AFK"] = ""
-- La["Talking only"] = ""
-- La["Time Away"] = ""
-- La["Toggle debugging output"] = ""
-- La["arena"] = ""
-- La["battleground"] = ""
-- La["for config"] = ""
-- La["instance"] = ""
-- La["is busy with"] = ""
-- La["is currently"] = ""
-- La["raid"] = ""
-- La["to set status"] = ""

end
